Skip to main content
POST
/
workspaces
/
{workspace_id}
/
case-dropdowns
Error
A valid request URL is required to generate request examples
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "ref": "<string>",
  "is_ordered": true,
  "required_on_closure": true,
  "position": 123,
  "icon_name": "<string>",
  "options": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "label": "<string>",
      "ref": "<string>",
      "position": 123,
      "icon_name": "<string>",
      "color": "<string>"
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required

Body

application/json

Create a new dropdown definition with initial options.

name
string
required
Required string length: 1 - 255
ref
string
required
Required string length: 1 - 255
icon_name
string | null
Maximum string length: 100
is_ordered
boolean
default:false
required_on_closure
boolean
default:false
position
integer
default:0
options
CaseDropdownOptionCreate · object[]

Response

Successful Response

Read model for a dropdown definition with its options.

id
string<uuid>
required
name
string
required
ref
string
required
is_ordered
boolean
required
required_on_closure
boolean
required
position
integer
required
icon_name
string | null
options
CaseDropdownOptionRead · object[]